Subject: bug#54112: dd seek_bytes etc. is confusing

From: Pádraig Brady <[email-masked]>
Date: Tue, 22 Feb 2022 17:29:26 +0000

On 22/02/2022 17:03, Paul Eggert wrote:
> While looking into Bug#45648 I noticed that the GNU extensions
> count_bytes, seek_bytes, and skip_bytes are confusing, and the proposed
> fix to bug#45648 would make them even more confusing. To fix this
> confusion, we should deprecate these options, and instead say that if
> you want to use byte counts you should use a number string ending in "B".
> 
> Here's another way to put it.  Currently this:
> 
>      dd oseek=100KiB
> 
> means "seek 102,400 blocks". It should simply mean "seek 102,400 bytes",
> which is what it says. And if we change oseek's meaning this way, we
> don't need "oseek_bytes".
> 
> Although this is an incompatible change to GNU dd, I don't think it'll
> affect real-world uses (who would use oseek in such a confusing way
> now?) and overall it will be a win.

That is a more concise and direct way to achieve the same functionality.
+1

I guess we should remove docs for the other options,
but leave support there for backwards compat.

thanks,
Pádraig